Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-6469

Documentation for the upgrade default value for openam-rest-apis-default-version is not clear

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 13.0.0
    • Fix Version/s: 13.0.0
    • Component/s: documentation
    • Labels:
    • Sprint:
      Sprint 91 - Team Shakespeare, Sprint 92 - Team Shakespeare, Sprint 93 - Team Shakespeare, Sprint 94 - Team Shakespeare, Sprint 95 - Team Shakespeare

      Description

      openam draft reference documentation section 1.4.8 (REST APIs) lists the default for the value openam-rest-apis-default-version to be:

      Default: Latest for new OpenAM installations, Oldest for upgraded OpenAM installations.

      Actually when we upgrade from a version of openam where this value is already set we do not change it. We only set the value to Oldest when upgrading from 11.0.x (i.e. before the property existed).

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                chris.lee Chris Lee
                Reporter:
                ken.stubbings Ken Stubbings
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: